## GimpScrolledPreview GimpScrolledPreview — A widget providing a GimpPreview enhanced by scrolling capabilities. |

## Functions

void | gimp_scrolled_preview_set_position ()
void | gimp_scrolled_preview_set_policy ()
void | gimp_scrolled_preview_freeze ()
void | gimp_scrolled_preview_thaw ()

## Types and Values

| GimpScrolledPreview

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpPreview
                                ╰── GimpScrolledPreview

## Implemented Interfaces

GimpScrolledPreview implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A widget providing a GimpPreview enhanced by scrolling capabilities.

## Functions

### gimp_scrolled_preview_set_position ()

    void
    gimp_scrolled_preview_set_position (GimpScrolledPreview *preview,
                                        gint x,
                                        gint y);

#### Parameters

preview | a GimpScrolledPreview |
x | horizontal scroll offset |
y | vertical scroll offset |

Since GIMP 2.4

### gimp_scrolled_preview_set_policy ()

    void
    gimp_scrolled_preview_set_policy (GimpScrolledPreview *preview,
                                      GtkPolicyType hscrollbar_policy,
                                      GtkPolicyType vscrollbar_policy);

#### Parameters

preview | a GimpScrolledPreview |
hscrollbar_policy | policy for horizontal scrollbar |
vscrollbar_policy | policy for vertical scrollbar |

Since GIMP 2.4

### gimp_scrolled_preview_freeze ()

    void
    gimp_scrolled_preview_freeze (GimpScrolledPreview *preview);

While the `preview` is frozen, it is not going to redraw itself in response to scroll events.

This function should only be used to implement widgets derived from GimpScrolledPreview. There is no point in calling this from a plug-in.

#### Parameters

preview | a GimpScrolledPreview |

Since GIMP 2.4

### gimp_scrolled_preview_thaw ()

    void
    gimp_scrolled_preview_thaw (GimpScrolledPreview *preview);

While the `preview` is frozen, it is not going to redraw itself in response to scroll events.

This function should only be used to implement widgets derived from GimpScrolledPreview. There is no point in calling this from a plug-in.

#### Parameters

preview | a GimpScrolledPreview |

Since GIMP 2.4

## Types and Values

### GimpScrolledPreview

    typedef struct _GimpScrolledPreview GimpScrolledPreview;